Bug 384597 - Shift+alt+[arrow keys] and Shift+Meta+[arrow keys] shortcuts broken in 5.38.0
Summary: Shift+alt+[arrow keys] and Shift+Meta+[arrow keys] shortcuts broken in 5.38.0
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kglobalaccel
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.38.0
Platform: Archlinux Linux
: VHI grave
Target Milestone: ---
Assignee: Martin Flöser
URL:
Keywords:
: 384601 384602 384634 384709 384731 385073 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-09-11 15:46 UTC by grmat
Modified: 2017-09-29 15:46 UTC (History)
19 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description grmat 2017-09-11 15:46:56 UTC
I recently upgraded to 5.38 and it broke the functionality some kwin shortcuts, e.g. "move window to next desktop". Also tried with new user, with clean configs. Downgrading kwindowsystem to 5.37 resolves the issue.
Comment 1 Martin Flöser 2017-09-11 19:15:22 UTC
what's the shortcut you try to use?
Comment 2 Nate Graham 2017-09-12 02:11:51 UTC
*** Bug 384601 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2017-09-12 02:13:24 UTC
*** Bug 384602 has been marked as a duplicate of this bug. ***
Comment 4 André M 2017-09-12 02:17:04 UTC
Looks like Ctrl+Alt+Shift+[key] are broken also, where [key] are not only arrows, but also at least Del and PgUp (e.g. logout/restart without confirmation default shortcuts), maybe any key combination using Shift+[Alt|Meta].
Comment 5 grmat 2017-09-12 02:45:43 UTC
(In reply to Martin Flöser from comment #1)
> what's the shortcut you try to use?

Ctrl+Alt+Shift+Left/Right to move window to previous/next virtual desktop
Comment 6 sargath 2017-09-12 07:52:12 UTC
I'm having same issue after KDE upgrade to 5.38 on Archlinux
Comment 7 Eric Donkersloot 2017-09-12 20:39:42 UTC
I can confirm this one (running Arch Linux as well)
Comment 8 Antonio Rojas 2017-09-12 21:16:48 UTC
*** Bug 384634 has been marked as a duplicate of this bug. ***
Comment 9 Daniel R. Güell 2017-09-13 08:52:12 UTC
Hi, The same here.

I can confirm in archlinux. The shortcut don't work since I update 

extra/kwindowsystem 5.38.0-1 (kf5)

Thanks!
Comment 10 Martin Flöser 2017-09-13 16:22:53 UTC
The bug is in kglobalaccel not in kwindowsystem.
Comment 11 zellox 2017-09-14 01:54:09 UTC
I'm having the same issue on Arch. The shortcut I'm using is ctrl + shift + spacebar.
Comment 12 Nate Graham 2017-09-14 02:14:34 UTC
Is anyone able to reproduce this on Wayland, or just X11?

KGlobalAccel has only gotten one consequential many commit since 5.37: https://cgit.kde.org/kglobalaccel.git/commit/?id=2c20ddff034e4958bf0536ca91ae9e444955305d
Comment 13 Martin Flöser 2017-09-14 04:13:33 UTC
(In reply to Nate Graham from comment #12)
> Is anyone able to reproduce this on Wayland, or just X11?

Wayland should not be affected. The change you mention only affects X11.
Comment 14 Lukas Jirkovsky 2017-09-14 07:35:13 UTC
Reverting the commit 2c20ddff034e4958bf0536ca91ae9e444955305d indeed fixes the bug.

Seems graesslin was right about not trusting this change. Oh, the joys of being a maintainer...
Comment 15 Eric Donkersloot 2017-09-14 12:03:25 UTC
upgraded kglobalaccel (5.38.0-1 -> 5.38.1-1)

Fixed, thanks!
Comment 16 Kai Uwe Broulik 2017-09-14 14:24:31 UTC
*** Bug 384709 has been marked as a duplicate of this bug. ***
Comment 17 Chris James 2017-09-14 14:40:36 UTC
Also upgraded kglobalaccel (5.38.0-1 -> 5.38.1-1) and this fixed my issue as well!
Comment 18 Nate Graham 2017-09-14 15:42:18 UTC
I don't see any new commits to the kglobalaccel repo. Are distros patching this out?

Either way, we should revert the commit until we can find out what went wrong.
Comment 19 grmat 2017-09-14 16:16:49 UTC
Can confirm it is fixed, but why?

Arch has not made a change to the package: https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/kglobalaccel&id=82c50bed02e8de51c11588a2d4e2cc84e59bf7f0
Comment 20 Stefan Majewsky 2017-09-14 16:29:59 UTC
@grmat(In reply to grmat from comment #19)
> Can confirm it is fixed, but why?
> 
> Arch has not made a change to the package:
> https://git.archlinux.org/svntogit/packages.git/commit/trunk?h=packages/
> kglobalaccel&id=82c50bed02e8de51c11588a2d4e2cc84e59bf7f0

They updated the version. kglobalaccel 5.38.1 has the change mentioned in #12 reverted if I understand #14 correctly.
Comment 21 grmat 2017-09-14 17:59:34 UTC
You're right. I haven't seen it (like Nate Graham) because it's not in the master branch.

https://cgit.kde.org/kglobalaccel.git/commit/?h=v5.38.1&id=d9e0f2af21cb039d95b2173d66bb18bc5a94cec9
Comment 22 Nate Graham 2017-09-14 18:28:59 UTC
Great, marking this as fixed, then.
Comment 23 Antonio Rojas 2017-09-14 18:46:17 UTC
It's not fixed. A tarball has been released with the commit reverted, but trunk is still broken and a proper fix needs to be committed.
Comment 24 Christoph Feck 2017-09-15 22:34:18 UTC
*** Bug 384731 has been marked as a duplicate of this bug. ***
Comment 25 pgkos.bugzilla 2017-09-16 08:50:53 UTC
It is now impossible to bind the Meta key to the panel's application launcher.

The Meta key does not work, and additionally it resets itself to Alt+F1 after reboot.

(Version 5.38.1-1 on Arch Linux)
Comment 26 jat255 2017-09-21 16:38:13 UTC
I'm not sure if this is related, but I cannot use the shift key to move backwards through applications now when using Alt-tab switching. Should I file this as a new bug?
Comment 27 Martin Flöser 2017-09-25 15:41:43 UTC
Git commit 68e35f234ca7d866bcb54442d22892450d871848 by Martin Flöser.
Committed on 25/09/2017 at 15:30.
Pushed by graesslin into branch 'master'.

Revert "KGlobalAccel: port to KKeyServer's new method symXModXToKeyQt, to fix numpad keys"

This reverts commit 2c20ddff034e4958bf0536ca91ae9e444955305d.

I'm reverting as we don't have a fix yet and the next release is too
close to risk any changes. As explained in the original review request
for this feature: touching this code base is dangerous. The code is
extremely fragile.

A month of living in master was not enough to spot the severe regressions
we had. As we are now only a few days away from next release we cannot
expect to discover regressions any fix would cause. I don't really see a
solution to this problem: any change might cause issues especially in
KWin, KScreenLocker and KGlobalAccel. All of them have the problem that
the maintainer of those components is not running X11 and won't spot the
regressions. Futhermore we don't have any test cases for the complete key
handing stack on X11. We won't find the regressions. My personal
recommendation would be to no longer change the X11 side and instead all
together work on Wayland and get it ready. There the world looks better:
we have a sane input stack which is completly unit tested. The first
regression caused by the changes here was discovered by a KWin test case
for Wayland. That's the world where we can change and improve the stack.
Let X die, long live Wayland!

If someone wants to take on the task to improve the X11 stack here I
expect some serious work on the testability of this fragile stack. If we
see that the shortcuts will still match I would be way more confident to
accept a change.

CCMAIL: kde-frameworks-devel@kde.org

M  +45   -7    src/runtime/plugins/xcb/kglobalaccel_x11.cpp

https://commits.kde.org/kglobalaccel/68e35f234ca7d866bcb54442d22892450d871848
Comment 28 Christoph Feck 2017-09-25 23:45:08 UTC
*** Bug 385073 has been marked as a duplicate of this bug. ***